Uploaded image for project: 'Dev - Nexus Repo'
  1. Dev - Nexus Repo
  2. NEXUS-21311

Yum proxy repos do not work with CentOS 8

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Done
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 3.18.1, 3.19.0, 3.19.1
    • Fix Version/s: 3.20.0
    • Component/s: Yum
    • Labels:
      None
    • Notability:
      2

      Description

      Acceptance Criteria

      • Users can proxy CentOS 8 yum repositories that use the new modules.yaml.gz metadata files.

      Background
      Centos ships now with new repository file format within repositories modules.yaml.gz

      Apparently Nexus does not support these files as they are not visible in repobrowser although other files from the repo are.

      These files being missing makes Nexus unusable for CentOS 8.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              mjohnson Matt Johnson
              Reporter:
              kortemik Mikko Kortelainen
              Last Updated By:
              Peter Lynch Peter Lynch
              Team:
              NXRM - Neo
              Votes:
              5 Vote for this issue
              Watchers:
              15 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Date of First Response:

                  tigCommentSecurity.panel-title